fLock(3)

NAME
fLock - acquire file lock.

SYNOPSIS
#include <util/ulocks.h> NEOERR *fLock(int lock);

ARGUMENTS
lock - Lock to acquire.

DESCRIPTION
Acquires the lock identified by <lock>. This call blocks until the lock is acquired. MT-Level: Safe.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock